Current I an using SLED 12 which comes with openssl1.0.1c.But I am working on a specific project which requires openssl 1.0.1e.I have source for openssl 1.0.1e downloaded from openssl website.But once I build and install openssl 1.0.1e when Ii check installed version I am getting only 1.0.c It is not upgrading properly so I tried uninstalling it using yast but since it contains lot of dependency I was not able to uninstall.How can I upgrade openssl 1.0.1c to 1.0.1e please provide some solution???